Subject: Linux boot on a ppc 405

From: Ricardo Severo <[email-masked]>
Date: Sun, 27 Jan 2008 14:20:38 -0200

Hi all,

I am working with a Xilinx Virtex II Pro  evaluation board, wich has two 
PowerPC 405 and I'm trying to boot a vanilla linux kernel 2.6.23.14. 
Until now I've manged to make it uncompress the kernel, but it doesn't boot.
My question is how the initial execution (the one who uncompresses the 
kernel image) transfers the processor to the kernel itself. I've looked 
in the arch/ppc/boot/simple/relocate.S code and it jumps to the position 
0x0 after uncompressing, is it right? The kernel is uncompressed at that 
position?

Thanks,

-- 
Ricardo Ayres Severo <[email-masked]>